<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesCondicion.home.createOrEditLabel"
          data-cy="CondicionCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesCondicion.home.createOrEditLabel')"
        >
          Create or edit a Condicion
        </h2>
        <div>
          <div class="form-group" v-if="condicion.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="condicion.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesCondicion.condicion')" for="condicion-condicion"
              >Condicion</label
            >
            <input
              type="text"
              class="form-control"
              name="condicion"
              id="condicion-condicion"
              data-cy="condicion"
              :class="{ valid: !$v.condicion.condicion.$invalid, invalid: $v.condicion.condicion.$invalid }"
              v-model="$v.condicion.condicion.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesCondicion.descripcion')" for="condicion-descripcion"
              >Descripcion</label
            >
            <textarea
              class="form-control"
              name="descripcion"
              id="condicion-descripcion"
              data-cy="descripcion"
              :class="{ valid: !$v.condicion.descripcion.$invalid, invalid: $v.condicion.descripcion.$invalid }"
              v-model="$v.condicion.descripcion.$model"
            ></textarea>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.condicion.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./condicion-update.component.ts"></script>
